@echo off

rem System configurable settings
set CMakePath=C:\Program Files\CMake
set MinGWPath=C:\MinGW
set PythonPath=C:\Python27
set SVNPath=C:\Program Files\SlikSvn

rem Some checks
if not exist "%CMakePath%" (
	echo "Download and install CMake build system first (from http://www.cmake.org) to %CMakePath% directory"
	pause
	exit /B
)

if not exist "%MinGWPath%" (
	echo "Download and install TDM, Nuwen or MinGW GCC compiler first (from http://www.tdm-gcc.tdragon.net, http://nuwen.net or http://www.mingw.org) to %MinGWPath% directory"
	pause
	exit /B
)

if not exist "%PythonPath%" (
	echo "Download and install Python first (from http://www.python.org) to %PythonPath% directory"
	pause
	exit /B
)

if not exist "%SVNPath%" (
	echo "Download and install command line SVN client first (from http://www.sliksvn.com or http://subversion.apache.org) to %SVNPath% directory"
	pause
	exit /B
)

rem Autoconfigured below
set INCLUDE=%MinGWPath%\include;%INCLUDE%
set LIB=%MinGWPath%\lib;%LIB%
set PATH=%MinGWPath%\bin;%CMakePath%\bin;%SVNPath%\bin;%PythonPath%;%PATH%

rem Run command prompt
cmd
